diff kernel/qemutst.sh @ 340:c7cc54c0dfdf devel

Test featurebranch
author Windel Bouwman
date Sun, 23 Feb 2014 16:24:01 +0100
parents
children 5477e499b039
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/kernel/qemutst.sh	Sun Feb 23 16:24:01 2014 +0100
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+
+set -e
+
+echo "quit" | socat stdio stdio
+
+echo "Trying to run test on stellaris qemu machine"
+
+# -S means halt at start:
+qemu-system-arm -M vexpress-a9 -m 128M -kernel kernel.bin \
+    -monitor unix:vm.sock,server -serial file:output.txt -S -s
+
+#sleep 1
+
+# Send quit to the monitor application
+#echo "quit" | socat stdio UNIX-CONNECT:vm.sock
+
+#echo "Output from terminal:"
+#cat output.txt
+#echo ""
+